合作咨询
我们的专家服务团队将竭诚为您提供专业的合作咨询服务
此接口用于邀请测试查询测试群组邀请码信息。
接口调用者的角色:账号持有者、管理员、APP管理员、运营。
若您的应用已切换为“AppTest邀请测试”,无法使用该接口,您可以使用创建公开链接接口。
| 承载协议 | HTTPS GET |
|---|---|
| 接口方向 | 开发者服务器 -> 华为服务器 |
| 接口URL | https://connect-api.cloud.huawei.com/api/app-test/v1/test-group/invitation-code |
| 数据格式 | 请求:Content-Type: application/json 响应:Content-Type: application/json |
本接口支持使用Service Account方式、API客户端方式和OAuth客户端方式,区别请参见获取服务端授权。
Service Account方式:
| 参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
| Authorization | M | String | 认证信息,格式为“Authorization: Bearer ${JWT}”。JWT为通过Service Account方式获取授权中获取的鉴权令牌。 |
| appId | M | String(32) | 应用ID,获取方法参考查看应用信息。 |
API客户端方式:
OAuth客户端方式:
| 参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
| groupId | M | String(32) | 测试群组ID。 |
- GET /api/app-test/v1/test-group/invitation-code?groupId=76********08 HTTP/1.1
- Host: connect-api.cloud.huawei.com
- client_id: 4141******68
- Content-Type: application/json
- Authorization: Bearer *******
- appId: 6917********65
| 参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
| rtnCode | M | String | 返回码。 取值范围:
|
| rtnDesc | O | String | 返回码描述信息。 |
| businessCode | O | String | 业务错误码。 |
| invitationCodes | O | 邀请码信息。 |
- {
- "rtnCode": 0,
- "invitationCodes": [
- {
- "id": "9800********7c",
- "invitationCode": "4n********nx",
- "startTime": 1715*****000,
- "endTime": 1715*****000,
- "status": 2,
- "invitedNum": 0,
- "waitInviteNum": 100
- },
- {
- "id": "9019********dd",
- "invitationCode": "1y******wl",
- "startTime": 1715****000,
- "endTime": 1715****000,
- "status": 2,
- "invitedNum": 0,
- "waitInviteNum": 100
- },
- {
- "id": "28de********5a",
- "invitationCode": "1P****On",
- "startTime": 1715****000,
- "endTime": 1715****000,
- "status": 2,
- "invitedNum": 0,
- "waitInviteNum": 100
- }
- ]
- }